package de.hawhamburg.reachability.sensor.enumeration;

/**
 * Enumeration of different loading states.<br><br>
 * 
 * This enumeration provides the system with all defined states of loading a sensor adapter may produce.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum LoadingStates {
    /**
     * There is a state called <i>UNLOADED</i> defined.
     */
    FREE,
    /**
     * There is a state called <i>LOADED</i> defined.
     */
    LOADED,
}
